[VPCs] Replace Virtual Private Cloud
curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cidr_block": "<string>",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{id}"
payload = {
"name": "<string>",
"cidr_block": "<string>",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
cidr_block: '<string>',
location_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_active: true
})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Compute
[VPCs] Replace Virtual Private Cloud
Update the configuration of a Virtual Private Cloud. Note that the CIDR range cannot be modified after creation.
PUT
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
vpcs
/
{id}
[VPCs] Replace Virtual Private Cloud
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Unique identifier of the Virtual Private Cloud.
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Body
application/json
Response
VPC updated successfully
⌘I

